
--[[

name:   Antix File Operations
vers:   1.0
desc:   A simple class to load and save files
auth:   by Cliff Earl
date:   March 2016
legal:  (c) 2016 Antix Software

todo:   Add more file types other than JSON

--]]

File = Core.class()

function File:init() -- NOTHING HAPPENS HERE
end

function File:exists(filename) -- RETURNS TRUE OF THE FILE EXISTS
  local file = io.open(filename, "r")
  if file then
    file:close()
    file = nil
    return true
  end
  return false
end

function File:loadJSON(filename) -- RETURNS A DECODED JSON TABLE ON SUCCESS
  if self:exists(filename, "r") then
    local file = io.open(filename, "r")
    local input = file:read( "*a" )
    file:close()
    local output = json.decode(input)
    data = nil
    file = nil
    return output
  end
  return nil
end

function File:saveJSON(filename, input) -- SAVES A TABLE AS ENCODED JSON
  local file = io.open(filename, "w+")
  local output = json.encode(input)
  file:write(output)
  file:close()
  output = nil
  file = nil
end
